%define upstream_name    Apache2-AuthCookieDBI
%define upstream_version 2.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    An AuthCookie module backed by a DBI database
License:    LGPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/modules/by-module/Apache2/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Apache2::AuthCookie) >= 3.80.0
BuildRequires: perl(Apache2::Const)
BuildRequires: perl(Apache2::RequestRec)
BuildRequires: perl(Apache2::ServerUtil)
BuildRequires: perl(Carp)
BuildRequires: perl(Crypt::CBC) >= 2.130.0
BuildRequires: perl(DBI) >= 1.400.0
BuildRequires: perl(Date::Calc)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(FindBin)
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Test::More) >= 0.400.0
BuildRequires: perl(mod_perl2) >= 1.999.22
BuildArch:  noarch

%description
Apache2::AuthCookieDBI is a module that subclasses Apache2::AuthCookie and is
designed to be directly used for authentication in a mod_perl server.

It is a ticket-issuing system that looks up username/passwords in a DBI
database using generic SQL and issues MD5-checksummed tickets valid for
a configurable time period.  Incoming requests with tickets are
checksummed and expire-time checked.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes LICENSE META.yml README eg
%{perl_vendorlib}/Apache2
%{_mandir}/*/*

%changelog
* Mon Mar 28 2011 jquelin <jquelin> 2.140.0-1.mga1
+ Revision: 78380
- update to 2.14

* Mon Jan 24 2011 jquelin <jquelin> 2.130.0-1.mga1
+ Revision: 36142
- mageia rebuild
- imported package perl-Apache2-AuthCookieDBI


* Sun Dec 19 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.130.0-1mdv2011.0
+ Revision: 622947
- update to new version 2.13

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 2.50.0-1mdv2011.0
+ Revision: 402969
- rebuild using %%perl_convert_version

* Wed May 20 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.05-1mdv2010.0
+ Revision: 377832
- update to new version 2.05

* Tue Dec 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.04-1mdv2009.1
+ Revision: 309442
- update to new version 2.04

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 2.03-6mdv2009.0
+ Revision: 255267
- rebuild

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.03-4mdv2008.1
+ Revision: 136945
- spec cleanup

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.03-3mdv2008.1
+ Revision: 136883
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Oct 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.03-2mdv2007.0
+ Revision: 73243
- import perl-Apache2-AuthCookieDBI-2.03-2mdk

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.03-2mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL
- use mkrel

* Sat Jul 16 2005 Oden Eriksson <oeriksson@mandriva.com> 2.03-1mdk
- initial Mandriva package

